> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.propertymanager.md).

# PropertyManager

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [BindingManagerBase](/api/wisej.web/data-binding/wisej.web.bindingmanagerbase.md)
  * [PropertyManager](/api/wisej.web/data-binding/wisej.web.propertymanager.md)

Maintains a [Binding](/api/wisej.web/data-binding/wisej.web.binding.md) between an object's property and a data-bound control property.

{% tabs %}
{% tab title="C#" %}

```csharp
public class PropertyManager : BindingManagerBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class PropertyManager
    Inherits BindingManagerBase
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) PropertyManager()

Initializes a new instance of [PropertyManager](/api/wisej.web/data-binding/wisej.web.propertymanager.md).

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Current

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns the object owning the data-bound property belongs.

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) CancelCurrentEdit()

Cancels the current edit.

### ![](/files/hsR4ok3152WyAf8J2C1u) EndCurrentEdit()

Ends the current edit operation.

### ![](/files/hsR4ok3152WyAf8J2C1u) ResetCurrentItem()

Causes a control bound to this data source to re-read the current item and refresh the displayed value.

### ![](/files/hsR4ok3152WyAf8J2C1u) ResumeBinding()

Resumes data binding.

### ![](/files/hsR4ok3152WyAf8J2C1u) SuspendBinding()

Suspends the data binding between a data source and a data-bound property.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.propertymanager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
